<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>IBInspector class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$IBInspector">IBInspector class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the IBInspector class
      </a></h1>
    <h2><a name="class$IBInspector">IBInspector</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBInspector.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_IBInspector_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-dealloc">-dealloc</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-initialFirstResponder">-initialFirstResponder</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-object">-object</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-ok$">-ok:</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-okButton">-okButton</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-revert$">-revert:</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-revertButton">-revertButton</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-setObject$">-setObject:</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-textDidBeginEditing$">-textDidBeginEditing:</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-touch$">-touch:</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-wantsButtons">-wantsButtons</a></li>
      <li><a rel="gsdoc" href="IBInspector.html#method$IBInspector-window">-window</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$IBInspector-dealloc">dealloc&nbsp;</a></h3>
    - (void) <b>dealloc</b>;<br />
    <div class="desc">
      
            Releases all the instance variables (apart from
            the window, which is presumed to release itself when
            closed) and removes self as an observer of
            notifications before destroying self.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-initialFirstResponder">initialFirstResponder&nbsp;</a></h3>
    - (NSView*) <b>initialFirstResponder</b>;<br />
    <div class="desc">
      
            The first view to be selected in the inspector.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-object">object&nbsp;</a></h3>
    - (id) <b>object</b>;<br />
    <div class="desc">
      
            The object being inspected.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-ok$">ok:&nbsp;</a></h3>
    - (void) <b>ok:</b> (id)sender;<br />
    <div class="desc">
      
            Action to take when user clicks the OK button
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-okButton">okButton&nbsp;</a></h3>
    - (NSButton*) <b>okButton</b>;<br />
    <div class="desc">
      
            Inspector supplied button - the inspectors
            manager will position this button for you.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-revert$">revert:&nbsp;</a></h3>
    - (void) <b>revert:</b> (id)sender;<br />
    <div class="desc">
      
            Action to take when user clicks the revert button
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-revertButton">revertButton&nbsp;</a></h3>
    - (NSButton*) <b>revertButton</b>;<br />
    <div class="desc">
      
            Inspector supplied button - the inspectors
            manager will position this button for you.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-setObject$">setObject:&nbsp;</a></h3>
    - (void) <b>setObject:</b> (id)anObject;<br />
    <div class="desc">
      
            Extension - not in NeXTstep - this message is
            sent to your inspector to tell it to set its edited
            object and make any changes to its UI needed.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-textDidBeginEditing$">textDidBeginEditing:&nbsp;</a></h3>
    - (void) <b>textDidBeginEditing:</b> (NSNotification*)aNotification;<br />
    <div class="desc">
      
            Used to take notice of textfields in inspector being
            updated.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-touch$">touch:&nbsp;</a></h3>
    - (void) <b>touch:</b> (id)sender;<br />
    <div class="desc">
      
            Method to mark the inspector as needing saving (ok
            or revert).
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-wantsButtons">wantsButtons&nbsp;</a></h3>
    - (BOOL) <b>wantsButtons</b>;<br />
    <div class="desc">
      
            If this method returns <code>YES</code>, the manager
            will partition off a section of the inspector panel
            for display of &apos;ok&apos; and &apos;revert&apos; buttons, which your
            inspector must supply.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$IBInspector-window">window&nbsp;</a></h3>
    - (NSWindow*) <b>window</b>;<br />
    <div class="desc">
      
            The window that the UI of the inspector exists in.
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_IBInspector_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for IBInspector Class</h2>
    <h3><a name="ivariable$IBInspector*object">object</a></h3>
    @protected id <b>object</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$IBInspector*okButton">okButton</a></h3>
    @protected NSButton* <b>okButton</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$IBInspector*revertButton">revertButton</a></h3>
    @protected NSButton* <b>revertButton</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$IBInspector*window">window</a></h3>
    @protected NSWindow* <b>window</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
